Flecs: ecs_pipeline_stats_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_pipeline_stats_t Struct Reference
C API » Addons » Stats

Statistics for all systems in a pipeline. More...

`#include <stats.h>`

## Public Attributes
int8_t | canary_
| Allow for initializing struct with {0}.
ecs_vec_t | systems
| Vector with system IDs of all systems in the pipeline.
ecs_vec_t | sync_points
| Vector with sync point stats.
int32_t | t
| Current position in ring buffer.
int32_t | system_count
| Number of systems in pipeline.
int32_t | active_system_count
| Number of active systems in pipeline.
int32_t | rebuild_count
| Number of times pipeline has rebuilt.

## Detailed Description

Statistics for all systems in a pipeline.

Definition at line 207 of file stats.h.

## Member Data Documentation

## ◆ active_system_count

int32_t ecs_pipeline_stats_t::active_system_count

Number of active systems in pipeline.

Definition at line 221 of file stats.h.

## ◆ canary_

int8_t ecs_pipeline_stats_t::canary_

Allow for initializing struct with {0}.

Do not set.

Definition at line 208 of file stats.h.

## ◆ rebuild_count

int32_t ecs_pipeline_stats_t::rebuild_count

Number of times pipeline has rebuilt.

Definition at line 222 of file stats.h.

## ◆ sync_points

ecs_vec_t ecs_pipeline_stats_t::sync_points

Vector with sync point stats.

Definition at line 215 of file stats.h.

## ◆ system_count

int32_t ecs_pipeline_stats_t::system_count

Number of systems in pipeline.

Definition at line 220 of file stats.h.

## ◆ systems

ecs_vec_t ecs_pipeline_stats_t::systems

Vector with system IDs of all systems in the pipeline.

The systems are stored in the order they are executed. Merges are represented by a 0.

Definition at line 212 of file stats.h.

## ◆ t

int32_t ecs_pipeline_stats_t::t

Current position in ring buffer.

Definition at line 218 of file stats.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/stats.h